Bug 163230 - rpm -V nfs-utils crashed
rpm -V nfs-utils crashed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 06:18 EDT by Knut Rauscher
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 20:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut Rauscher 2005-07-14 06:18:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Hello,

With verify of NFS utils (rpm -V nfs-utils) get I the following error message:

,----
| ..?...... c /var/lib/nfs/etab
| ..?...... c /var/lib/nfs/rmtab
| *** glibc detected *** /usr/lib/rpm/rpmv: free(): invalid pointer: 0x097d3914 ***
| ======= Backtrace: =========
| /lib/libc.so.6[0x842424]
| /lib/libc.so.6(__libc_free+0x77)[0x84295f]
| /lib/libselinux.so.1(freecon+0x1d)[0xc0991d]
| /usr/lib/librpm-4.4.so(rpmVerifyFile+0x5ed)[0x15b900]
| /usr/lib/librpm-4.4.so(showVerifyPackage+0x25c)[0x15bdd3]
| /usr/lib/librpm-4.4.so(rpmcliShowMatches+0x3e)[0x135503]
| /usr/lib/librpm-4.4.so(rpmQueryVerify+0x22f)[0x136250]
| /usr/lib/librpm-4.4.so(rpmcliArgIter+0xa8)[0x136cad]
| /usr/lib/librpm-4.4.so(rpmcliVerify+0x8f)[0x15b26f]
| /usr/lib/rpm/rpmv[0x8049ba2]
| /lib/libc.so.6(__libc_start_main+0xc6)[0x7f3de6]
| /usr/lib/rpm/rpmv[0x8049301]
| ..
| ..
| etc.
`----

selinux is activated

SELINUX=enforcing
SELINUXTYPE=targeted

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

  

Additional info:
Comment 1 Jeff Johnson 2006-02-08 20:43:00 EST
This smells like the double free bug fixed in later rpm-4.4.2.

Note You need to log in before you can comment on or make changes to this bug.